import { ApolloProvider } from "@apollo/client";
import React, { useState } from "react";
import { apolloClient } from "./apolloClient";
import { AuthIFrame } from "./components";
import { MetricDetailsPage } from "./pages/MetricDetailsPage";

export const App: React.FC = () => {
  const [isAuthenticated, setIsAuthenticated] = useState<boolean>();
  return (
    <ApolloProvider client={apolloClient}>
      <AuthIFrame
        onChange={(value) => setIsAuthenticated(value.isAuthenticated)}
      />
      {isAuthenticated ? <MetricDetailsPage /> : null}
    </ApolloProvider>
  );
};
